<template>
  <div class="container">
    <v-card
            height="400"
            width="256"
            class="mx-auto"
    >
      <v-navigation-drawer permanent>
        <v-list-item>
          <v-list-item-content>
            <v-list-item-title class="title">
              Categorias
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-divider></v-divider>

        <v-list dense nav>
          <v-list-item
                  v-for="category in categories"
                  :key="category.name"
                  @click="print(category.id)"
                  link>

            <v-list-item-content>
              <v-list-item-title>{{ category.name }}</v-list-item-title>
            </v-list-item-content>

          </v-list-item>
        </v-list>
      </v-navigation-drawer>
    </v-card>

    <v-row justify="center">
      <v-dialog v-model="dialog" fullscreen hide-overlay transition="dialog-bottom-transition">
        <v-card>
          <v-toolbar dark color="primary">
            <v-btn icon dark @click="dialog = false">
              <v-icon>mdi-close</v-icon>
            </v-btn>
            <v-toolbar-title>Opinion</v-toolbar-title>
            <div class="flex-grow-1"></div>
            <v-toolbar-items>
              <v-btn dark text @click="saveForm()">Guardar</v-btn>
            </v-toolbar-items>
          </v-toolbar>
          <v-divider></v-divider>
          <div>
            <v-row>
              <v-col md="6" align-self="center" offset-md="3">
                <v-form
                        ref="form"
                        v-model="valid"
                >
                  <v-text-field
                          v-model="formData.name"
                          :counter="10"
                          label="Nombre"
                          required
                  ></v-text-field>

                  <v-textarea
                          name="input-7-1"
                          label="Descripciòn"
                          value="Descripciòn"
                          hint="Hint text"
                          v-model="formData.description"
                  ></v-textarea>

                  <v-switch v-model="formData.isGood" class="ma-2" label="Bueno"></v-switch>

                  <v-select
                          v-model="formData.box.name"
                          :items="boxes"
                          :rules="[v => !!v || 'Item is required']"
                          label="Cajas"
                          required
                  ></v-select>
                </v-form>
              </v-col>
            </v-row>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</template>

<script>
  export default {
    data () {
      return {
        categories: [
          {id: 1, name: 'Atencion de caja'},
          {id: 2, name: 'Ambiente General'}
        ],
        right: null,
        e1: 1,
        dialog: false,
        notifications: false,
        sound: true,
        widgets: false,
        valid: true,
        boxes: [
            'Caja 1',
            'Caja 2',
            'Caja 3'
        ],
        formData: {
          description: '',
          date: new Date().toString(),
          hour: '',
          name: '',
          isGood: true,
          box: {
            id: 1,
            name: this.box
          },
          branchOffice: {
            id: 1,
            name: 'Sucursal Central'
          }
        },
        commentsWeb: [

        ]
      }
    },
    methods: {
      print(id){
        this.dialog = true;
      },

      saveForm(){
        this.dialog = false;
        this.commentsWeb.push(this.formData);
        if(JSON.parse(localStorage.getItem("comments")) && JSON.parse(localStorage.getItem("comments")).length > 0) {
          let comments = JSON.parse(localStorage.getItem("comments"));
          comments.push(this.formData);
          localStorage.setItem("comments", JSON.stringify(comments));
        } else {
          localStorage.setItem("comments", JSON.stringify(this.commentsWeb));
        }
        this.formData.name = '';
        this.formData.description = '';
        this.formData.box.name = '';
      }
    }
  }
</script>
